Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/etat0phys_netcdf.F90	(revision 5113)
@@ -38,5 +38,5 @@
 
   USE ioipsl,             ONLY: flininfo, flinopen, flinget, flinclo
-  USE assert_eq_m,        ONLY: assert_eq
+  USE lmdz_assert_eq,        ONLY: assert_eq
   USE dimphy,             ONLY: klon
   USE conf_dat_m,         ONLY: conf_dat2d
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/iniphysiq_mod.F90	(revision 5113)
@@ -57,5 +57,5 @@
   REAL, INTENT (IN) :: prad ! radius of the planet (m)
   REAL, INTENT (IN) :: pg ! gravitational acceleration (m/s2)
-  REAL, INTENT (IN) :: pr ! ! reduced gas constant R/mu
+  REAL, INTENT (IN) :: pr ! reduced gas constant R/mu
   REAL, INTENT (IN) :: pcpp ! specific heat Cp
   REAL, INTENT (IN) :: punjours ! length (in s) of a standard day
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/limit_netcdf.f90	(revision 5113)
@@ -18,5 +18,5 @@
 
   USE ioipsl, ONLY: flininfo, flinopen, flinget, flinclo
-  USE assert_eq_m, ONLY: assert_eq
+  USE lmdz_assert_eq, ONLY: assert_eq
   USE cal_tools_m, ONLY: year_len, mid_month
   USE conf_dat_m, ONLY: conf_dat2d, conf_dat3d
@@ -327,7 +327,6 @@
               nf90_close, nf90_inq_dimid, nf90_inquire_dimension, nf90_get_var, &
               nf90_get_att
-      USE pchsp_95_m, ONLY: pchsp_95
-      USE pchfe_95_m, ONLY: pchfe_95
-      USE arth_m, ONLY: arth
+      USE lmdz_libmath_pch, ONLY: pchsp_95, pchfe_95
+      USE lmdz_arth, ONLY: arth
       USE indice_sol_mod
       USE lmdz_abort_physic, ONLY: abort_physic
Index: LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/dynphy_lonlat/phylmd/test_disvert_m.F90	(revision 5113)
@@ -1,5 +1,5 @@
 module test_disvert_m
 
-  implicit none
+  IMPLICIT NONE
 
 contains
Index: LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/filtrez/lmdz_filtreg.F90	(revision 5113)
@@ -423,5 +423,5 @@
 
   SUBROUTINE JACOBI(A, N, NP, D, V, NROT)
-    implicit none
+    IMPLICIT NONE
     ! Arguments:
     integer, intent(in) :: N
@@ -557,5 +557,5 @@
 
   SUBROUTINE acc(vec, d, im)
-    implicit none
+    IMPLICIT NONE
     integer :: im
     real :: vec(im, im), d(im)
Index: LMDZ6/branches/Amaury_dev/libf/misc/formcoord.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/formcoord.f90	(revision 5112)
+++ LMDZ6/branches/Amaury_dev/libf/misc/formcoord.f90	(revision 5113)
@@ -3,5 +3,5 @@
 
 SUBROUTINE formcoord(unit,n,x,a,rev,text)
-  implicit none
+  IMPLICIT NONE
   integer :: n,unit,ndec
   logical :: rev
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_arth.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_arth.f90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_arth.f90	(revision 5113)
@@ -0,0 +1,87 @@
+MODULE lmdz_arth
+
+  IMPLICIT NONE; PRIVATE
+  PUBLIC arth
+
+  INTEGER, PARAMETER :: NPAR_ARTH = 16, NPAR2_ARTH = 8
+
+  INTERFACE arth
+    ! Returns an arithmetic progression, given a first term "first", an
+    ! increment and a number of terms "n" (including "first").
+
+    MODULE PROCEDURE arth_r, arth_i
+    ! The difference between the procedures is the kind and type of
+    ! arguments first and increment and of function result.
+  END INTERFACE
+
+CONTAINS
+
+  PURE FUNCTION arth_r(first, increment, n)
+
+    REAL, INTENT(IN) :: first, increment
+    INTEGER, INTENT(IN) :: n
+    REAL arth_r(n)
+
+    ! Local:
+    INTEGER :: k, k2
+    REAL :: temp
+
+    !---------------------------------------
+
+    IF (n > 0) arth_r(1) = first
+    IF (n <= NPAR_ARTH) THEN
+      DO k = 2, n
+        arth_r(k) = arth_r(k - 1) + increment
+      END DO
+    ELSE
+      DO k = 2, NPAR2_ARTH
+        arth_r(k) = arth_r(k - 1) + increment
+      END DO
+      temp = increment * NPAR2_ARTH
+      k = NPAR2_ARTH
+      DO
+        IF (k >= n) EXIT
+        k2 = k + k
+        arth_r(k + 1:min(k2, n)) = temp + arth_r(1:min(k, n - k))
+        temp = temp + temp
+        k = k2
+      END DO
+    END IF
+
+  END FUNCTION arth_r
+
+  !*************************************
+
+  PURE FUNCTION arth_i(first, increment, n)
+
+    INTEGER, INTENT(IN) :: first, increment, n
+    INTEGER arth_i(n)
+
+    ! Local:
+    INTEGER :: k, k2, temp
+
+    !---------------------------------------
+
+    IF (n > 0) arth_i(1) = first
+    IF (n <= NPAR_ARTH) THEN
+      DO k = 2, n
+        arth_i(k) = arth_i(k - 1) + increment
+      END DO
+    ELSE
+      DO k = 2, NPAR2_ARTH
+        arth_i(k) = arth_i(k - 1) + increment
+      END DO
+      temp = increment * NPAR2_ARTH
+      k = NPAR2_ARTH
+      DO
+        IF (k >= n) EXIT
+        k2 = k + k
+        arth_i(k + 1:min(k2, n)) = temp + arth_i(1:min(k, n - k))
+        temp = temp + temp
+        k = k2
+      END DO
+    END IF
+
+  END FUNCTION arth_i
+
+END MODULE lmdz_arth
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert.f90	(revision 5113)
@@ -0,0 +1,69 @@
+! $Id$
+MODULE lmdz_assert
+
+  IMPLICIT NONE
+
+  INTERFACE assert
+    MODULE PROCEDURE assert1, assert2, assert3, assert4, assert_v
+  END INTERFACE
+
+  PRIVATE assert1, assert2, assert3, assert4, assert_v
+
+CONTAINS
+
+  SUBROUTINE assert1(n1, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    LOGICAL, INTENT(IN) :: n1
+    if (.not. n1) then
+      write (*, *) 'nrerror: an assertion failed with this tag:', &
+              string
+      print *, 'program terminated by assert1'
+      stop 1
+    end if
+  END SUBROUTINE assert1
+  !BL
+  SUBROUTINE assert2(n1, n2, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    LOGICAL, INTENT(IN) :: n1, n2
+    if (.not. (n1 .and. n2)) then
+      write (*, *) 'nrerror: an assertion failed with this tag:', &
+              string
+      print *, 'program terminated by assert2'
+      stop 1
+    end if
+  END SUBROUTINE assert2
+  !BL
+  SUBROUTINE assert3(n1, n2, n3, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    LOGICAL, INTENT(IN) :: n1, n2, n3
+    if (.not. (n1 .and. n2 .and. n3)) then
+      write (*, *) 'nrerror: an assertion failed with this tag:', &
+              string
+      print *, 'program terminated by assert3'
+      stop 1
+    end if
+  END SUBROUTINE assert3
+  !BL
+  SUBROUTINE assert4(n1, n2, n3, n4, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    LOGICAL, INTENT(IN) :: n1, n2, n3, n4
+    if (.not. (n1 .and. n2 .and. n3 .and. n4)) then
+      write (*, *) 'nrerror: an assertion failed with this tag:', &
+              string
+      print *, 'program terminated by assert4'
+      stop 1
+    end if
+  END SUBROUTINE assert4
+  !BL
+  SUBROUTINE assert_v(n, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    LOGICAL, DIMENSION(:), INTENT(IN) :: n
+    if (.not. all(n)) then
+      write (*, *) 'nrerror: an assertion failed with this tag:', &
+              string
+      print *, 'program terminated by assert_v'
+      stop 1
+    end if
+  END SUBROUTINE assert_v
+
+END MODULE lmdz_assert
Index: LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90	(revision 5113)
+++ LMDZ6/branches/Amaury_dev/libf/misc/lmdz_assert_eq.f90	(revision 5113)
@@ -0,0 +1,69 @@
+MODULE lmdz_assert_eq
+
+  IMPLICIT NONE
+
+  INTERFACE assert_eq
+    MODULE PROCEDURE assert_eq2, assert_eq3, assert_eq4, assert_eqn
+  END INTERFACE
+
+  PRIVATE assert_eq2, assert_eq3, assert_eq4, assert_eqn
+
+CONTAINS
+
+  FUNCTION assert_eq2(n1, n2, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    INTEGER, INTENT(IN) :: n1, n2
+    INTEGER  assert_eq2
+    IF (n1 == n2) THEN
+      assert_eq2 = n1
+    ELSE
+      WRITE (*, *) 'nrerror: an assert_eq failed with this tag: ', &
+              string
+      PRINT *, 'program terminated by assert_eq2'
+      STOP 1
+    END IF
+  END FUNCTION assert_eq2
+  !BL
+  FUNCTION assert_eq3(n1, n2, n3, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    INTEGER, INTENT(IN) :: n1, n2, n3
+    INTEGER  assert_eq3
+    IF (n1 == n2 .and. n2 == n3) THEN
+      assert_eq3 = n1
+    ELSE
+      WRITE (*, *) 'nrerror: an assert_eq failed with this tag: ', &
+              string
+      PRINT *, 'program terminated by assert_eq3'
+      STOP 1
+    END IF
+  END FUNCTION assert_eq3
+  !BL
+  FUNCTION assert_eq4(n1, n2, n3, n4, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    INTEGER, INTENT(IN) :: n1, n2, n3, n4
+    INTEGER  assert_eq4
+    IF (n1 == n2 .and. n2 == n3 .and. n3 == n4) THEN
+      assert_eq4 = n1
+    ELSE
+      WRITE (*, *) 'nrerror: an assert_eq failed with this tag: ', &
+              string, n1, n2, n3, n4
+      PRINT *, 'program terminated by assert_eq4'
+      STOP 1
+    END IF
+  END FUNCTION assert_eq4
+  !BL
+  FUNCTION assert_eqn(nn, string)
+    CHARACTER(LEN = *), INTENT(IN) :: string
+    INTEGER, DIMENSION(:), INTENT(IN) :: nn
+    INTEGER  assert_eqn
+    IF (all(nn(2:) == nn(1))) THEN
+      assert_eqn = nn(1)
+    ELSE
+      WRITE (*, *) 'nrerror: an assert_eq failed with this tag: ', &
+              string
+      PRINT *, 'program terminated by assert_eqn'
+      STOP 1
+    END IF
+  END FUNCTION assert_eqn
+
+END MODULE lmdz_assert_eq
